BGZF Struct Reference

## Public Attributes

int | open_mode:8
int | compress_level:8
int | errcode:16
int | cache_size
int | block_length
int | block_offset
int64_t | block_address
void * | uncompressed_block
void * | compressed_block
void * | cache
void * | fp

## Detailed Description

Definition at line 44 of file bgzf.h.

## Member Data Documentation

## block_address

int64_t BGZF::block_address

Definition at line 48 of file bgzf.h.

## block_length

int BGZF::block_length

Definition at line 47 of file bgzf.h.

## block_offset

int BGZF::block_offset

Definition at line 47 of file bgzf.h.

## cache

void* BGZF::cache

Definition at line 50 of file bgzf.h.

## cache_size

int BGZF::cache_size

Definition at line 46 of file bgzf.h.

## compress_level

int BGZF::compress_level

Definition at line 45 of file bgzf.h.

## compressed_block

void * BGZF::compressed_block

Definition at line 49 of file bgzf.h.

## errcode

int BGZF::errcode

Definition at line 45 of file bgzf.h.

## fp

void* BGZF::fp

Definition at line 51 of file bgzf.h.

## open_mode

int BGZF::open_mode

Definition at line 45 of file bgzf.h.

## uncompressed_block

void* BGZF::uncompressed_block

Definition at line 49 of file bgzf.h.

The documentation for this struct was generated from the following file:

- samtools/bgzf.h